## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/%{name}/%{name}
# Switch to latest master branch, see:
# https://github.com/vim-airline/vim-airline/issues/2445
%global commit ff0f9a45a5d81d2c8aa67601c264b18c4fe26b15

Name:           vim-airline
Version:        0.11
%forgemeta
Release:        %autorelease
Summary:        Lean & mean status/tabline for vim that's light as air

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
Source1:        %{name}.metainfo.xml
BuildArch:      noarch

BuildRequires:  libappstream-glib
BuildRequires:  vim-filesystem
Requires:       vim-enhanced

%description
%{summary}.

When the plugin is correctly loaded, Vim will draw a nice statusline at the
bottom of each window.


%prep
%forgeautosetup -p1


%install
mkdir -p                        %{buildroot}%{vimfiles_root}
cp -r {autoload,plugin}         %{buildroot}%{vimfiles_root}
install -m 0644 -Dp %{SOURCE1}  %{buildroot}%{_metainfodir}/%{name}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%license LICENSE
%doc README.md CHANGELOG.md CONTRIBUTING.md doc/*
%{vimfiles_root}/autoload/*
%{vimfiles_root}/plugin/*
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Sat May 11 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11-12
- chore: Update to latest git snapshot

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Nov 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11-1
- Update to 0.11

* Sun Oct 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10-5.20191011git297ca3d
- Update to latest git snapshot

* Tue Oct 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10-2.20190911git89d1d43
- Initial package

## END: Generated by rpmautospec
